# tool-use

Tools to simplify life with AI. Brought to you by the hosts of [ToolUse](https://www.youtube.com/@ToolUseAI).

## Installation

You can install the package using pip:

```bash
pip install tool-use-ai
```

## Available Tools

The repository includes the following tools to simplify your interactions with AI:

**Note:** Use `ai` for general tools and `tooluse` specifically for the RSS CLI tool.

### 1. AI CLI Tool (`ai do`)

Generates and executes terminal commands based on natural language input using AI assistance.

```bash
ai do Your command description here
```

### 2. RSS CLI (`tooluse`)

Fetches and displays podcast episodes from a specified RSS feed, allowing you to interact with them.

```bash
tooluse
```

### 3. Contact Form (`tooluse contact`)

Provides a contact form to submit feedback, requests or just to say hi.

```bash
tooluse contact
```

### 4. Calendar Manager (`cal`)

Manages Google Calendar events, including creating, editing, searching, and deleting events.

```bash
ai cal
```

### 5. Obsidian Plugin Generator (`make-obsidian-plugin`)

Generates a customizable Obsidian plugin based on user input and AI-driven code generation.

**Note:** Quotation marks are not required. You can input natural language directly after the command.

```bash
ai make-obsidian-plugin "Plugin Name"
```

### 6. Scriptomatic (`scriptomatic`)

Creates scripts by specifying the desired functionality, leveraging AI to generate the code.

```bash
ai scriptomatic "Your script description here"
```

**Note:** After `ai do`, you can input natural language without quotation marks.
